Bug 231176 - [webkitscmpy] Share cache between processes
Summary: [webkitscmpy] Share cache between processes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-10-04 10:18 PDT by Jonathan Bedard
Modified: 2021-10-07 16:00 PDT (History)
3 users (show)

See Also:


Attachments
Patch (15.12 KB, patch)
2021-10-04 10:57 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (4.95 KB, patch)
2021-10-06 15:54 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (4.88 KB, patch)
2021-10-06 15:55 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (6.22 KB, patch)
2021-10-07 15:11 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-10-04 10:18:58 PDT
Processes running on the same machine and in the same directory should not duplicate work populating identifiers.json. Instead, the cache should be shared between processes.
Comment 1 Radar WebKit Bug Importer 2021-10-04 10:19:23 PDT
<rdar://problem/83841221>
Comment 2 Jonathan Bedard 2021-10-04 10:57:17 PDT
Created attachment 440077 [details]
Patch
Comment 3 Jonathan Bedard 2021-10-06 15:54:34 PDT
Created attachment 440449 [details]
Patch
Comment 4 Jonathan Bedard 2021-10-06 15:55:15 PDT
Created attachment 440450 [details]
Patch
Comment 5 dewei_zhu 2021-10-07 14:47:50 PDT
Comment on attachment 440450 [details]
Patch

r=me
Comment 6 Jonathan Bedard 2021-10-07 15:11:37 PDT
Created attachment 440545 [details]
Patch for landing
Comment 7 EWS 2021-10-07 16:00:23 PDT
Committed r283751 (242673@main): <https://commits.webkit.org/242673@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 440545 [details].